from math import sin
import socket
from struct import pack
from time import sleep

sock = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)


UDP_IP = "127.0.0.1"
UDP_PORT = 17171

data = b""
time = 0

def addvar(data, name, value):
	data = data + name.encode()
	data = data + b":"
	data = data + pack("!d", value) # packs an 8-byte double in network byte order
	
	return data
	

while 1:
	data = b""
	time += 0.02
	data = addvar(data, "time", time)
	data = addvar(data, "const", 5)
	data = addvar(data, "increasing", time)
	data = addvar(data, "sine", sin(time))

	sock.sendto(data, (UDP_IP, UDP_PORT))
	
	sleep(0.02) # sleep 20 ms